List repurpose items
curl --request GET \
--url https://app.trypost.it/api/repurposes/{repurpose}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.trypost.it/api/repurposes/{repurpose}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.trypost.it/api/repurposes/{repurpose}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9a1b2c40-5f6a-4b7c-8d9e-0f1a2b3c4d5e",
"repurpose_id": "9a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
"source_media_id": "18045678901234567",
"source_permalink": "https://www.instagram.com/reel/DAbCdEfGhIj/",
"source_created_at": "2026-10-07T21:10:00+00:00",
"status": "published",
"reason": null,
"error": null,
"posts": [
{
"id": "9d3c1f40-7c8d-4e9f-8a0b-1c2d3e4f5a6b",
"platforms": [
{
"platform": "tiktok",
"status": "published"
}
]
}
],
"created_at": "2026-10-07T21:15:00+00:00",
"updated_at": "2026-10-07T21:16:30+00:00"
}
],
"links": {
"first": "https://app.trypost.it/api/repurposes/9a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d/items?page=1",
"last": "https://app.trypost.it/api/repurposes/9a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d/items?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"page": null,
"active": false
},
{
"url": "https://app.trypost.it/api/repurposes/9a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d/items?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "Next »",
"page": null,
"active": false
}
],
"path": "https://app.trypost.it/api/repurposes/9a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d/items",
"per_page": 25,
"to": 1,
"total": 1
}
}{
"message": "Unauthenticated."
}{
"message": "Active subscription required."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}Repurposes
List repurpose items
Lists the source videos the repurpose has picked up, newest first (by when they were posted on the source), with the posts created for each. Page size is set by the server: read meta.per_page.
GET
/
repurposes
/
{repurpose}
/
items
List repurpose items
Authorizations
Workspace API key from Settings → API Keys.
Path Parameters
Repurpose id. A repurpose of another workspace returns 404.
Query Parameters
Required range:
x >= 1
